From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libavif/
Date: Sun, 27 Sep 2020 10:27:35 +0000 (UTC) [thread overview]
Message-ID: <1601202447.b73d8b20bf8c158dd20b80e17c59d4136744e0d9.juippis@gentoo> (raw)
commit: b73d8b20bf8c158dd20b80e17c59d4136744e0d9
Author: Daniel Novomesky <dnovomesky <AT> gmail <DOT> com>
AuthorDate: Sun Sep 27 08:55:23 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Sep 27 10:27:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b73d8b20
media-libs/libavif: Add gdk-pixbuf use flag, add live ebuild
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Daniel Novomesky <dnovomesky <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17690
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-libs/libavif/libavif-0.8.1.ebuild | 39 +++++++++++++++++---
.../{libavif-0.8.1.ebuild => libavif-9999.ebuild} | 43 ++++++++++++++++++----
media-libs/libavif/metadata.xml | 19 +++++++---
3 files changed, 82 insertions(+), 19 deletions(-)
diff --git a/media-libs/libavif/libavif-0.8.1.ebuild b/media-libs/libavif/libavif-0.8.1.ebuild
index f7efdd4f83f..95d3907fe7f 100644
--- a/media-libs/libavif/libavif-0.8.1.ebuild
+++ b/media-libs/libavif/libavif-0.8.1.ebuild
@@ -3,27 +3,28 @@
EAPI=7
-inherit cmake
+inherit cmake gnome2-utils
DESCRIPTION="Library for encoding and decoding .avif files"
HOMEPAGE="https://github.com/AOMediaCodec/libavif"
SRC_URI="https://github.com/AOMediaCodec/libavif/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="BSD"
+LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="+aom dav1d examples extras rav1e"
+IUSE="+aom dav1d examples extras gdk-pixbuf rav1e"
DEPEND="media-libs/libpng
sys-libs/zlib
virtual/jpeg
- aom? ( media-libs/libaom )
+ aom? ( >=media-libs/libaom-2.0.0 )
dav1d? ( media-libs/dav1d )
- rav1e? ( media-video/rav1e )"
+ gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 )
+ rav1e? ( media-video/rav1e[capi] )"
RDEPEND="${DEPEND}"
BDEPEND="virtual/pkgconfig"
-REQUIRED_USE="|| ( aom dav1d rav1e )"
+REQUIRED_USE="|| ( aom dav1d )"
src_configure() {
local mycmakeargs=(
@@ -40,7 +41,33 @@ src_configure() {
-DAVIF_BUILD_EXAMPLES=$(usex examples ON OFF)
-DAVIF_BUILD_APPS=$(usex extras ON OFF)
-DAVIF_BUILD_TESTS=$(usex extras ON OFF)
+
+ -DAVIF_BUILD_GDK_PIXBUF=$(usex gdk-pixbuf ON OFF)
)
cmake_src_configure
}
+
+pkg_preinst() {
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_savelist
+ fi
+}
+
+pkg_postinst() {
+ if ! use aom && ! use rav1e ; then
+ ewarn "aom and rav1e flags are not set,"
+ ewarn "libavif will work in read-only mode."
+ ewarn "Enable aom or rav1e flag if you want to save .AVIF files."
+ fi
+
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_update
+ fi
+}
+
+pkg_postrm() {
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_update
+ fi
+}
diff --git a/media-libs/libavif/libavif-0.8.1.ebuild b/media-libs/libavif/libavif-9999.ebuild
similarity index 50%
copy from media-libs/libavif/libavif-0.8.1.ebuild
copy to media-libs/libavif/libavif-9999.ebuild
index f7efdd4f83f..ffaba14b195 100644
--- a/media-libs/libavif/libavif-0.8.1.ebuild
+++ b/media-libs/libavif/libavif-9999.ebuild
@@ -3,27 +3,28 @@
EAPI=7
-inherit cmake
+inherit cmake git-r3 gnome2-utils
DESCRIPTION="Library for encoding and decoding .avif files"
HOMEPAGE="https://github.com/AOMediaCodec/libavif"
-SRC_URI="https://github.com/AOMediaCodec/libavif/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGIT_REPO_URI="https://github.com/AOMediaCodec/libavif.git"
-LICENSE="BSD"
+LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+aom dav1d examples extras rav1e"
+KEYWORDS=""
+IUSE="+aom dav1d examples extras gdk-pixbuf rav1e"
DEPEND="media-libs/libpng
sys-libs/zlib
virtual/jpeg
- aom? ( media-libs/libaom )
+ aom? ( >=media-libs/libaom-2.0.0 )
dav1d? ( media-libs/dav1d )
- rav1e? ( media-video/rav1e )"
+ gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 )
+ rav1e? ( media-video/rav1e[capi] )"
RDEPEND="${DEPEND}"
BDEPEND="virtual/pkgconfig"
-REQUIRED_USE="|| ( aom dav1d rav1e )"
+REQUIRED_USE="|| ( aom dav1d )"
src_configure() {
local mycmakeargs=(
@@ -40,7 +41,33 @@ src_configure() {
-DAVIF_BUILD_EXAMPLES=$(usex examples ON OFF)
-DAVIF_BUILD_APPS=$(usex extras ON OFF)
-DAVIF_BUILD_TESTS=$(usex extras ON OFF)
+
+ -DAVIF_BUILD_GDK_PIXBUF=$(usex gdk-pixbuf ON OFF)
)
cmake_src_configure
}
+
+pkg_preinst() {
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_savelist
+ fi
+}
+
+pkg_postinst() {
+ if ! use aom && ! use rav1e ; then
+ ewarn "aom and rav1e flags are not set,"
+ ewarn "libavif will work in read-only mode."
+ ewarn "Enable aom or rav1e flag if you want to save .AVIF files."
+ fi
+
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_update
+ fi
+}
+
+pkg_postrm() {
+ if use gdk-pixbuf ; then
+ gnome2_gdk_pixbuf_update
+ fi
+}
diff --git a/media-libs/libavif/metadata.xml b/media-libs/libavif/metadata.xml
index 58fba5b72b3..31ef145a4ce 100644
--- a/media-libs/libavif/metadata.xml
+++ b/media-libs/libavif/metadata.xml
@@ -2,13 +2,22 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>juippis@gentoo.org</email>
- <name>Joonas Niilola</name>
+ <email>juippis@gentoo.org</email>
+ <name>Joonas Niilola</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>dnovomesky@gmail.com</email>
+ <name>Daniel Novomesky</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="aom">Enable support for the AOM codec encoding and decoding</flag>
- <flag name="dav1d">Enable support for the dav1d codec encoding and decoding</flag>
- <flag name="extras">Build extra apps and test files</flag>
- <flag name="rav1e">Enable support for the rav1e codec encoding and decoding</flag>
+ <flag name="dav1d">Enable support for the dav1d codec decoding</flag>
+ <flag name="extras">Build extra apps (avifenc, avifdec) and test files</flag>
+ <flag name="gdk-pixbuf">Build a gdk-pixbuf loader</flag>
+ <flag name="rav1e">Enable support for the rav1e codec encoding</flag>
</use>
</pkgmetadata>
next reply other threads:[~2020-09-27 10:27 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-27 10:27 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-21 10:22 [gentoo-commits] repo/gentoo:master commit in: media-libs/libavif/ Sam James
2025-03-21 10:22 Sam James
2024-10-04 17:37 Andreas Sturmlechner
2024-09-24 15:22 Sam James
2024-09-23 7:32 Arthur Zamarin
2024-09-23 7:32 Arthur Zamarin
2024-09-23 7:13 Arthur Zamarin
2024-09-23 7:13 Arthur Zamarin
2024-09-23 5:56 Sam James
2024-08-13 4:55 Michał Górny
2024-08-01 6:28 Joonas Niilola
2024-08-01 6:28 Joonas Niilola
2024-08-01 6:28 Joonas Niilola
2024-08-01 6:28 Joonas Niilola
2024-04-03 17:44 Michał Górny
2024-03-23 5:40 Michał Górny
2024-03-23 5:40 Michał Górny
2024-02-06 11:02 Michał Górny
2024-02-02 17:11 Michał Górny
2024-01-23 5:07 Ionen Wolkens
2024-01-09 14:38 Joonas Niilola
2024-01-09 14:38 Joonas Niilola
2023-12-25 17:26 Sam James
2023-12-12 6:30 Viorel Munteanu
2023-11-23 17:12 Sam James
2023-11-22 17:13 Florian Schmaus
2023-10-06 8:29 Joonas Niilola
2023-10-06 8:29 Joonas Niilola
2022-11-12 7:00 Joonas Niilola
2022-10-18 10:23 Agostino Sarubbo
2022-10-18 5:42 Sam James
2022-10-17 17:26 Arthur Zamarin
2022-08-05 7:16 Agostino Sarubbo
2022-08-04 8:03 Agostino Sarubbo
2022-05-17 11:54 WANG Xuerui
2022-04-18 7:27 Joonas Niilola
2022-03-22 17:02 Sam James
2022-01-05 17:34 Arthur Zamarin
2022-01-03 9:20 Sam James
2022-01-03 9:19 Sam James
2022-01-02 22:51 Sam James
2022-01-02 22:50 Sam James
2021-11-07 23:08 Sam James
2021-10-24 4:06 Sam James
2021-10-24 4:06 Sam James
2021-09-07 3:05 Sam James
2021-09-07 3:03 Sam James
2021-08-02 16:42 Marek Szuba
2021-06-30 6:53 Joonas Niilola
2021-05-23 23:07 Thomas Deutschmann
2021-05-23 12:12 Andreas Sturmlechner
2021-05-16 20:00 Sam James
2021-04-25 9:31 Sam James
2021-03-11 17:26 Sam James
2021-03-11 8:52 Joonas Niilola
2021-03-05 5:38 Joonas Niilola
2021-02-28 10:56 Joonas Niilola
2021-02-15 6:05 Sam James
2021-02-12 16:20 Sam James
2021-02-04 8:12 Agostino Sarubbo
2021-02-03 3:12 Sam James
2021-01-15 8:44 Joonas Niilola
2020-11-26 7:53 Joonas Niilola
2020-11-25 11:29 Joonas Niilola
2020-11-12 7:28 Joonas Niilola
2020-11-12 7:28 Joonas Niilola
2020-11-10 17:27 Joonas Niilola
2020-11-10 17:27 Joonas Niilola
2020-10-17 16:46 Joonas Niilola
2020-10-01 22:29 Sergei Trofimovich
2020-09-29 11:40 Sam James
2020-09-27 19:28 Sam James
2020-09-25 13:49 Joonas Niilola
2020-09-25 9:34 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601202447.b73d8b20bf8c158dd20b80e17c59d4136744e0d9.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox